/*
 * Copyright 2000-2013 Vaadin Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.vaadin.server;

/**
 * Defines the interface to handle exceptions thrown during the execution of a
 * FutureAccess.
 * 
 * @since 7.1.8
 * @author Vaadin Ltd
 */
public interface ErrorHandlingRunnable extends Runnable {

    /**
     * Handles exceptions thrown during the execution of a FutureAccess.
     * 
     * @since 7.1.8
     * @param exception
     *            the thrown exception.
     */
    public void handleError(Exception exception);

}
